<<<<<<< HEAD ======= RotatedRectangleBase | SDF-2D - v0.7.6 >>>>>>> 2454f2f37d581c69f5d0c844a028712ddbc0a1cc

### Hierarchy

- EmptyDrawable
  - RotatedRectangleBase

## Index

### Constructors

- constructor

### Properties

- center
- rotation
- size
- descriptor

### Methods

- getObjectToSerialize
- minDistance

## Constructors

### constructor

- new RotatedRectangleBase(center: vec2, size: vec2, rotation: number): RotatedRectangleBase

- <<<<<<< HEAD
  - Defined in drawables/shapes/rotated-rectangle-factory.ts:9
  =======
  - Defined in drawables/shapes/rotated-rectangle-factory.ts:9
  >>>>>>> 2454f2f37d581c69f5d0c844a028712ddbc0a1cc

  #### Parameters

  - ##### center: vec2

  - ##### size: vec2

  - ##### rotation: number

  #### Returns RotatedRectangleBase

## Properties

### center

center: vec2

<<<<<<< HEAD
- Defined in drawables/shapes/rotated-rectangle-factory.ts:10
=======
- Defined in drawables/shapes/rotated-rectangle-factory.ts:10
>>>>>>> 2454f2f37d581c69f5d0c844a028712ddbc0a1cc

### rotation

rotation: number

<<<<<<< HEAD
- Defined in drawables/shapes/rotated-rectangle-factory.ts:10
=======
- Defined in drawables/shapes/rotated-rectangle-factory.ts:10
>>>>>>> 2454f2f37d581c69f5d0c844a028712ddbc0a1cc

### size

size: vec2

<<<<<<< HEAD
- Defined in drawables/shapes/rotated-rectangle-factory.ts:10
=======
- Defined in drawables/shapes/rotated-rectangle-factory.ts:10
>>>>>>> 2454f2f37d581c69f5d0c844a028712ddbc0a1cc

### Static Readonly descriptor

descriptor: DrawableDescriptor

Inherited from EmptyDrawable.descriptor

Overrides Drawable.descriptor

<<<<<<< HEAD
- Defined in drawables/empty-drawable.ts:11
=======
- Defined in drawables/empty-drawable.ts:11
>>>>>>> 2454f2f37d581c69f5d0c844a028712ddbc0a1cc

## Methods

### Protected getObjectToSerialize

- getObjectToSerialize(transform2d: mat2d, transform1d: number): any

- Inherited from EmptyDrawable.getObjectToSerialize

  Overrides Drawable.getObjectToSerialize

  <<<<<<< HEAD
  - Defined in drawables/empty-drawable.ts:19
  =======
  - Defined in drawables/empty-drawable.ts:19
  >>>>>>> 2454f2f37d581c69f5d0c844a028712ddbc0a1cc

  #### Parameters

  - ##### transform2d: mat2d

  - ##### transform1d: number

  #### Returns any

### minDistance

- minDistance(target: vec2): number

- Inherited from EmptyDrawable.minDistance

  Overrides Drawable.minDistance

  <<<<<<< HEAD
  - Defined in drawables/empty-drawable.ts:14
  =======
  - Defined in drawables/empty-drawable.ts:14
  >>>>>>> 2454f2f37d581c69f5d0c844a028712ddbc0a1cc

  #### Parameters

  - ##### target: vec2

  #### Returns number